import java.awt.*;

/**
 * Diese Klasse definiert spezielle Frames fr den einsamen PacMan.
 * Solch ein Frame ist das sichtbare Fenster im Fensterlesystem
 * (also z.&nbsp;B. X oder MS Windows).
 */
public class LPMFrame extends Frame {

  /** Knopf zum Bewegen nach links. */
  private Button m_leftButton = null;

  /** Knopf zum Bewegen nach rechts. */
  private Button m_rightButton = null;

  /** Knopf zum Bewegen nach oben. */
  private Button m_upButton = null;

  /** Knopf zum Bewegen nach unten. */
  private Button m_downButton = null;

  /** Das Panel, in dem der PacMan sichtbar wird. */
  private LPMPanel m_lpmArea = null;

  /** Unser PacMan. */
  private PacMan m_pacMan = null;

  /** Der Konstruktor. */
  public LPMFrame () {
    // Navigationsschaltflchen erzeugen
    // beachte: der Parameter ist zugleich Beschriftung und Kommando
    m_leftButton = new Button(PacMan.MOVE_LEFT);
    m_rightButton = new Button(PacMan.MOVE_RIGHT);
    m_upButton = new Button(PacMan.MOVE_UP);
    m_downButton = new Button(PacMan.MOVE_DOWN);
    // PacMan erzeugen
    m_pacMan = new PacMan();
    // Panel erzeugen
    m_lpmArea = new LPMPanel(m_pacMan);
    // Schaltflchen einfgen
    // beachte: standardmig wird ein BorderLayout verwendet, der die
    // Komponenten nach Himmelsrichtungen verteilt
    add(m_leftButton, "West");
    add(m_rightButton, "East");
    add(m_upButton, "North");
    add(m_downButton, "South");
    add(m_lpmArea, "Center");
    // Beschriftung fr den Fensterlerahmen
    setTitle("Lonely PacMan");
  }
} 
